Open CASCADE Technology: MXCAFDoc_ColorToolRetrievalDriver Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MXCAFDoc_ColorToolRetrievalDriver Class Reference

`#include <MXCAFDoc_ColorToolRetrievalDriver.hxx>`

Inheritance diagram for MXCAFDoc_ColorToolRetrievalDriver:
[legend]

## Public Member Functions
| MXCAFDoc_ColorToolRetrievalDriver (const Handle< CDM_MessageDriver > &theMsgDriver)
Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 0. More...
Handle< Standard_Type > | SourceType () const
| Returns the type: XCAFDoc_Color. More...
Handle< TDF_Attribute > | NewEmpty () const
| Creates a new attribute from PDF. More...
void | Paste (const Handle< PDF_Attribute > &Source, const Handle< TDF_Attribute > &Target, const Handle< MDF_RRelocationTable > &RelocTable) const
| Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings. More...
Public Member Functions inherited from MDF_ARDriver
void | WriteMessage (const TCollection_ExtendedString &theMessage) const
| To send message to Application (if MessageDriver defined) More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from MDF_ARDriver
| MDF_ARDriver (const Handle< CDM_MessageDriver > &theMessageDriver)

## Constructor & Destructor Documentation

MXCAFDoc_ColorToolRetrievalDriver::MXCAFDoc_ColorToolRetrievalDriver | ( | const Handle< CDM_MessageDriver > & | theMsgDriver | ) |

## Member Function Documentation

Handle< TDF_Attribute > MXCAFDoc_ColorToolRetrievalDriver::NewEmpty | ( |  | ) | const
| virtual

Creates a new attribute from PDF.

Implements MDF_ARDriver.

void MXCAFDoc_ColorToolRetrievalDriver::Paste | ( | const Handle< PDF_Attribute > & | aSource,
|  | const Handle< TDF_Attribute > & | aTarget,
|  | const Handle< MDF_RRelocationTable > & | aRelocTable
| ) |  | const
| virtual

Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings.

Implements MDF_ARDriver.

Handle< Standard_Type > MXCAFDoc_ColorToolRetrievalDriver::SourceType | ( |  | ) | const
| virtual

Returns the type: XCAFDoc_Color.

Implements MDF_ARDriver.

Standard_Integer MXCAFDoc_ColorToolRetrievalDriver::VersionNumber | ( |  | ) | const
| virtual

Returns the version number from which the driver is available: 0.

Implements MDF_ARDriver.

The documentation for this class was generated from the following file:

- MXCAFDoc_ColorToolRetrievalDriver.hxx